Table of Contents

## Name

AuMakeElementImportClient - initialize an ImportClient element

## Synopsis

#include <audio/audiolib.h>

AuMakeElementImportClient(element, sample_rate, format, num_tracks, discard, max_samples, low_water_mark, num_actions, actions)
AuElement *element; /* RETURN */
unsigned short sample_rate;
unsigned char format;
unsigned char num_tracks;
unsigned char discard;
AuUint32 max_samples;
AuUint32 low_water_mark;
int num_actions;
AuElementAction *actions;

## Arguments

element
  Returns the initialized element.
sample_rate
  Specifies the sample rate of the audio data.
format
  Specifies the format of the audio data. Currently, the following formats are defined: AuFormatULAW8, AuFormatLinearUnsigned8, AuFormatLinearSigned8, AuFormatLinearSigned16MSB, AuFormatLinearUnsigned16MSB, AuFormatSignedLinear16LSB, and AuFormatLinearUnsigned16LSB.
num_tracks
  Specifies the number of tracks in the audio data.
discard
  Specifies if the import should be paused initally. Normally AuTrue. AuFalse may crash the server.
max_samples
  Specifies the maximum number of samples to accept in a single read. Ignored for "trivial" flows.
low_water_mark
  Specifies when to request additional audio data from the client application. When this number of samples are left in the buffer, and an EOF hasn't been received, a NotifyEvent with kind set to AuElementNotifyKindLowWater will be sent to the client application.
num_actions
  Specifies the number of actions in actions.
actions
  Specifies the list of actions to associate with this element. Entries in this list can be initialized with AuMakeChangeStateAction, AuMakeSendNotifyAction, and AuMakeNoopAction. May be NULL.

## Description

AuMakeElementImportClient sets the type of element to AuElementTypeImportClient and initializes the importclient member of element with the remaining arguments.

AuMakeElementImportClient is implemented as a macro.

## See Also

AuMakeElementAddConstant, AuMakeElementBundle, AuMakeElementExportClient, AuMakeElementExportDevice, AuMakeElementExportBucket, AuMakeElementExportMonitor, AuMakeElementImportDevice, AuMakeElementImportBucket, AuMakeElementImportWaveForm, AuMakeElementMultiplyConstant, AuMakeElementSum.

audiolib - Network Audio System C Language Interface

Table of Contents

- Name
- Synopsis
- Arguments
- Description
- See Also